Dependency not found for FilterMatchMode

UI Components for Vue
Post Reply
n-xt
Posts: 1
Joined: 02 Mar 2021, 10:50

08 Mar 2021, 13:39

I want to use filters on my datatables. However, when I import the function using

Code: Select all

import { FilterMatchMode } from "primevue/api";
I get an error message:

Code: Select all

This dependency was not found:

* primevue/api in ./node_modules/cache-loader/dist/cjs.js??ref--12-0!./node_modules/babel-loader/lib!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader-v16/dist??ref--0-1!./src/module/tendering/pages/ManageCategories.vue?vue&type=script&lang=js

To install it, you can run: npm install --save primevue/api
Installing it as suggested here doesnt work either. Any ideas?

tugce.kucukoglu
Posts: 76
Joined: 23 Oct 2020, 09:28

15 Apr 2021, 15:41

Hi,

Which PrimeVue version do you using? FilterService needs PrimeVue 3.3.0+ .

Best Regards,

Post Reply

Return to “PrimeVue”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest